function obj=escalón(varargin)
% ESCALÓN contiene las características (propiedades) físicas del objeto "escalón    
%   de energía potencial" (en adelante llamado sencillamente "escalón").  
%
%   obj=ESCALÓN(varargin) -- varargin indica varios argumentos de entrada. 
%   Sin argumento, el objeto no existe (vacío).
%   Con un solo argumento (un objeto escalón), da el objeto.
%   Con 6 argumentos:
%       >> nombre	= Nombre del escalón
%       >> x     	= Posición del escalón en el eje Ox
%       >> Epe    = Energía potencial de entrada
%       >> Eps    = Energía potencial de salida
%       >> ke     = Vector de onda de entrada
%       >> ks     = Vector de onda de salida
%
%       << obj   =  Objeto escalón 
%
%   Olivier Pujol (2010)
%
switch (nargin)
    case 0
        obj.nombre=[];
        obj.x   =[];
        obj.Epe =[];
        obj.Eps =[];
        obj.ke  =[];
        obj.ks  =[];
        obj     =class(obj,'escalón');
    case 1
        if (isa(varargin{1},'escalón'))
            obj=varargin{1};
        else
            error('¡Tipo de objeto incorrecto!');
        end
    case 6
        obj.nombre=varargin{1};
        obj.x   =varargin{2};
        obj.Epe =varargin{3};
        obj.Eps =varargin{4};
        obj.ke  =varargin{5};
        obj.ks  =varargin{6};
        obj=class(obj,'escalón');
    otherwise
        error('¡Número de argumentos de entrada incorrecto!');
end
%
return;