function [R,T]=factRT(obj)
% FactRT da las probabilidades de reflexión y de transmisión de un objeto 
%   físico que interactúa con un escalón de energía potencial.
%
%   [R,T]=FactRT(obj)
%       >> obj  = Objeto escalón
%       << R    = Probabilidad de reflexión
%       << T    = Probabilidad de transmisión
%
%   Olivier Pujol (2010)
%
%% Verificaciones

if (isa(obj,'escalón')==0),error('¡Tipo de objeto incorrecto!');end
if (obj.ke==0),error('¡Caso singular k=0!');end

%% Matriz escalón

mat=matriz(obj);

%% Cálculo de los factores R and T (probabilidades de reflexión y transmisión)

if (isreal(obj.ks)==1)
    T=1/(abs(mat(2,2)))^2;
    R=(abs(-mat(2,1)/mat(2,2)))^2;
end
%
if (isreal(obj.ks)==0)
     T=0;
     R=1;
end
%
return;