function mat=matriz(obj)
% MATRIZ calcula la matriz característica de un escalón de energía potencial.
%
%   mat=MATRIZ(obj)
%       >> obj  = Objeto escalón
%       << mat  = Matriz del escalón
%
%   Olivier Pujol (2010)
%
%% Verificaciones

if (isa(obj,'escalón')==0),error('¡Tipo de objeto incorrecto!');end
%
if (obj.ke==0),error('¡Caso singular k=0!');end
if (obj.ks==0),error('¡Caso singular k=0!');end

%% Cálculo de la matriz 

mat(1,1)=obj.ks+obj.ke;
mat(1,2)=obj.ks-obj.ke;
mat(2,1)=obj.ks-obj.ke;
mat(2,2)=obj.ks+obj.ke;
mat=(1/(2*sqrt(obj.ke*obj.ks))).*mat;

return;